# $Revision: 1.5 $, $Date: 2006/11/28 11:02:53 $
# TODO: fix applnk/Applications/kallery.desktop hack
Summary:	Image gallery generator program for KDE
Summary(pl):	Generator galerii plikw graficznych dla KDE
Name:		kallery
Version:	1.2.0
Release:	1
License:	GPL
Group:		X11/Applications/Graphics
Source0:	http://kallery.kdewebdev.org/releases/%{name}-%{version}.tar.bz2
# Source0-md5:	5318e3b8d4e04e1ea9f9a53e5a565d9c
URL:		http://kallery.kdewebdev.org/index.php
BuildRequires:	ImageMagick-devel >= 6.1.0
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	kdelibs-devel >= 9:3.2.0
BuildRequires:	rpmbuild(macros) >= 1.129
#BuildRequires:	unsermake >= 040805
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Kallery is an easy to use image gallery generator application with a
wizard-like interfaces. One can create nicely looking,
ready-to-publish web pages from your digitally stored images. Some of
the most important features are:
- handles a lot of image formats, thanks to ImageMagick
- automatically generates thumbnails with the help of ImageMagick
- converts the images in other formats (eg. JPEG)
- it's possible to create descriptions for images
- the output HTML gallery is highly configurable
- uses templates for the gallery
- save and load of the project files, so you can regenerate the
  gallery later with the same or different settings.

%description -l pl
Kallery jest atwym w uyciu generatorem galerii grafik z podobnym do
czarodziei interfejsem. Mona nim robi adnie wygldajce gotowe do
publikacji strony WWW z zapisanych plikw graficznych. Niektre z
najwaniejszych moliwoci:
- obsuguje wiele formatw plikw graficznych poprzez ImageMagick
- automatycznie generuje miniatury grafik
- konwertuje pliki z rnych formatw
- moliwe jest dodanie opisw do obrazkw
- sposb generowania galerii w HTML-u jest wysoce konfigurowalny
- uywa szablonw do generowania galerii
- pozwala na zapis oraz odczyt plikw projektw aby generowa
  wielokrotnie z zmienionymi bd nie ustawieniami.

%prep
%setup -q

%build
cp -f /usr/share/automake/config.sub admin
#export PATH=/usr/share/unsermake:$PATH
%{__make} -f admin/Makefile.common cvs

%configure \
%if "%{_lib}" == "lib64"
	--enable-libsuffix=64 \
%endif
	--%{?debug:en}%{!?debug:dis}able-debug%{?debug:=full} \
	--with-qt-libraries=%{_libdir}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_pixmapsdir},%{_desktopdir}}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	kde_htmldir=%{_kdedocdir} \
	kde_libs_htmldir=%{_kdedocdir} \
	kdelnkdir=%{_desktopdir}

%find_lang %{name} --with-kde

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/*
%{_desktopdir}/kde/*.desktop
%{_iconsdir}/*/*/apps/%{name}.png
#%{_datadir}/mimelnk/application/*
%{_datadir}/apps/%{name}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: kallery.spec,v $
Revision 1.5  2006/11/28 11:02:53  matkor
- Version 1.2.0-1. STBR for Ac.

Revision 1.4  2006/11/07 22:26:36  glen
- do not list %{_desktopdir}/* -- dangerous, could list directories unexpectedly

Revision 1.3  2006/04/27 19:21:31  qboosh
- more pl fixes, Group fix

Revision 1.2  2006/04/24 18:36:17  spider
- small pl fix

Revision 1.1  2006/04/24 17:13:43  matkor
- Init. Tiny polish required and STBR for Ac. Really nice and working tool.
